package com.changhu.module.miniProgram.controller;

import com.changhu.common.annotation.CheckUserType;
import com.changhu.common.annotation.JsonBody;
import com.changhu.common.annotation.UserType;
import com.changhu.module.miniProgram.pojo.vo.IndexServiceProjectListVo;
import com.changhu.module.miniProgram.service.ProjectManageIndexService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/10 下午3:48
 * @desc 项目经理首页控制器
 */
@Tag(name = "项目经理首页")
@JsonBody
@RequestMapping("/projectManageIndex")
public class ProjectManageIndexController {

    @Autowired
    private ProjectManageIndexService projectManageIndexService;

    @Operation(summary = "获取我的服务项目")
    @GetMapping("/getMyServiceProject")
    @CheckUserType(userTypes = UserType.MINI_PROGRAM_PROJECT_MANAGE)
    public List<IndexServiceProjectListVo> getMyServiceProjectList() {
        return projectManageIndexService.getMyServiceProjectList();
    }
}
